import request from "@/utils/request";

// 新增
export function addThirdOrderPOST(data) {
  return request({
    url: "/system/totalOrder/addThirdOrder",
    method: "post",
    data: data,
  });
}

// 城市列表
export function cityVoListGET(query) {
  return request({
    url: "/system/common/cityVoList",
    method: "get",
    params: query,
  });
}

// 查询医院列表
export function hospitalListGET(query) {
  return request({
    url: "/system/hospital/hslist",
    method: "get",
    params: query,
  });
}

// 查询服务列表
export function servicesListGET(query) {
  return request({
    url: "/system/services/list",
    method: "get",
    params: query,
  });
}

// 查询商户列表
export function companyListGET(query) {
  return request({
    url: "/merchant/company/list",
    method: "get",
    params: query,
  });
}

// 查询陪诊员列表
export function employeesListGET(query) {
  return request({
    url: "/merchant/employees/list",
    method: "get",
    params: query,
  });
}

// 修改总订单
export function totalOrderPUT(data) {
  return request({
    url: '/system/totalOrder',
    method: 'put',
    data: data
  })
}